<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class VerifyLogin extends CI_Controller {



  function __construct()

  {

    parent::__construct();

    $this->load->model('/admin/checklogin','',TRUE);

  }



  function index()

  {

    $this->form_validation->set_rules('username', 'Username', 'trim|required');

    $this->form_validation->set_rules('password', 'Password', 'trim|required|callback_check_database');

    if($this->form_validation->run() == FALSE)

    {

      //Field validation failed.  User redirected to login page

      $this->load->view('/admin/login');

    }

    else

    {

      //Go to private area

      redirect('/admin/dashboard','refresh');

    }

  }



  function check_database($password)

  {

    //Field validation succeeded.  Validate against database

    $username = $this->input->post('username');



    //query the database

    $result = $this->checklogin->login($username, $password);//, $certi_no);

    if($result==false)

    {

        $this->form_validation->set_message('check_database', 'Invalid username or password');

        return FALSE;

    }

    else if($result)

    {

        // print_r($result);exit;

      $sess_array = array();

      foreach($result as $row)
      {
        $sess_array = array(
          'id' => $row->user_id,
          'username' => $row->username,
          'usertype' => $row->user_role
        );
// print_r($sess_array);exit;
        $this->session->set_userdata('logged_in', $sess_array);

      }

      return TRUE;

    }

    else

    {

      $this->form_validation->set_message('check_database', 'Invalid username or password');

      return FALSE;

    }

  }

}

?>
