<?php
Class Manage_banners_model extends CI_Model {

	function __construct()
	{
		parent::__construct();
	}

    function get_banner_list()
    {
        $login_id = $this->loginid;
        $sql = "select * from common_banner_img where is_deleted=0 order by banner_no asc";
        $query = $this->db->query($sql);
        return $query->result_array();
    }

    function insert($data = array()){
        for ($i=0; $i < count($data); $i++) {
            $insert = $this->db->insert('common_banner_img',$data[$i]);
            $insert_id = $this->db->insert_id();
            $this->insert_record($insert_id,'insert','1');
        }

        // $insert = $this->db->insert_batch('common_banner_img',$data);
        return $insert?true:false;
    }

    function remove_banner($id){
        $result = $this->db->query("UPDATE common_banner_img SET is_deleted='1' where id='".$id."'");
        $this->insert_record($id,'delete','1');
        return $result?true:false;
    }

    function update_order($id_array){
        $login_id = $this->loginid;
        $count = 1;
        foreach ($id_array as $id){
            $update = $this->db->query("UPDATE common_banner_img SET banner_no = $count, updated_date = NOW(), updated_by='".$login_id."' WHERE id = $id");
            $this->insert_record($id,'update','1');
            $count ++;
        }
        return TRUE;
    }

    function add_banner($img_id,$target_path)
    {
        $login_id = $this->loginid;
        $sql = "select * from common_banner_img where banner_no='".$img_id."' limit 1";
        $query = $this->db->query($sql);
        if($query->num_rows()>0)
        {
            $data = array(
                'banner_no'=>$img_id,
                'banner_path'=>$target_path,
                'updated_by'=>$login_id,
                'updated_date'=>date('Y-m-d H:i:s')
            );
            $this->db->where('banner_no',$img_id);
            $this->db->update('common_banner_img',$data);
        }else{
            $data = array(
                'banner_no'=>$img_id,
                'banner_path'=>$target_path,
                'created_by'=>$login_id
            );
            $this->db->insert('common_banner_img',$data);
        }

        return true;
    }

    function insert_record($prod_id,$status,$type=0)
    {
        $insData = array('prod_id'=>$prod_id,'status'=>$status,'type'=>$type);
        $this->db->insert('record_change_detail',$insData);
    }
}
?>
