
	<div class="col-lg-12">
		<div class="panel panel-default">
			<div class="panel-heading">
                <a href="<?php echo site_url('admin/manage_products/product_add')?>" class="btn btn_primary btn-default margin pull-right" type="button"><span class="fa fa-plus"></span> &nbsp;Add Product</a>
            </div>
            <?php if($this->session->flashdata("errmsg")!="" || validation_errors()!="") { ?>
                <div class="alert bg-danger" role="alert"><em class="fa fa-lg fa-warning">&nbsp;</em> <?php echo $this->session->flashdata("errmsg"); ?> <a href="#" class="pull-right"><em class="fa fa-lg fa-close"></em></a></div>
            <?php } if($this->session->flashdata("sucmsg")!="") { ?>
                <div class="alert bg-success" role="alert"><em class="fa fa-lg fa-warning">&nbsp;</em> <?php echo $this->session->flashdata("sucmsg"); ?> <a href="#" class="pull-right"><em class="fa fa-lg fa-close"></em></a></div>
            <?php } ?>
			<div class="panel-body">
				<div class="table-responsive">
					<table class="table table-bordered table-hover table-striped">
						<thead>
							<tr>
								<th>Sr</th>
								<th>Name</th>
								<th>Title</th>
								<th>Descripton</th>
								<th>Youtube</th>
								<th>Media</th>
								<th>ECOM</th>
								<th>Action</th>
							</tr>
						</thead>
						<tbody>
                            <?php if(isset($productlist) && sizeof($productlist)>0){
                                $cnt = 1;
                                foreach ($productlist as $value) { ?>
                                    <tr>
        								<td><?= $cnt;?></td>
        								<td><?= $value['name'];?></td>
        								<td><?= $value['title'];?></td>
        								<td><?= $value['description'];?></td>
        								<td><?= $value['yt_link'];?></td>
        								<td><?php if(!empty($value['img_link'])) echo base_url('/').$value['img_link']; else echo  '';?></td>
                                        <td><?= $value['ecom_link'];?></td>
        								<td>
                                            <div class="btn-group btn-default prod_update">
                								<button data-toggle="dropdown" class="btn btn-default dropdown-toggle margin" aria-expanded="false">Action <span class="caret"></span></button>
                								<ul class="dropdown-menu">
                									<li><a href="<?php echo site_url('admin/manage_products/product_edit/'.$value['id']);?>"><span class="fa fa-edit"></span> Edit</a></li>
                									<li><a href="#" onclick="javascript:product_delete(<?= $value['id']; ?>)"><span class="fa fa-trash"></span> Delete</a></li>
                									<li class="divider"></li>
                									<li><a href="<?php echo site_url('admin/manage_products/product_upload/'.$value['id']);?>"><span class="fa fa-upload"></span> Upload Banners</a></li>
                								</ul>
                							</div>
                                        </td>
        							</tr>
                                <?php $cnt++; } }?>
						</tbody>
					</table>
				</div>
			</div>
		</div><!-- /.panel-->
	</div><!-- /.col-->
