
var site_url = $('#site_url').val();
var base_url = $('#base_url').val();

function user_delete(id){
	var con = confirm("Are you sure you want to delete user");
	if(con)
	{
		window.location.href = site_url + "/admin/users/user_delete/"+id;
		return true;
	}
	else
		return false;
}

function branch_user_delete(id){
	var con = confirm("Are you sure you want to delete user");
	if(con)
	{
		window.location.href = site_url + "/branch/users/user_delete/"+id;
		return true;
	}
	else
		return false;
}

function branch_user_reset(){
	var user_id = $('#user_id').val();
	$.post(site_url+"/branch/users/reset_password/"+user_id, function(data, status){
		console.log(data);
		alert(data);
	});
}

function user_reset(){
	var user_id = $('#user_id').val();
	$.post(site_url+"/admin/users/reset_password/"+user_id, function(data, status){
		console.log(data);
		alert(data);
	});
}

$(document).ready(function(){
    var status = 0;
    console.log(status);
    $('#pincode').autocomplete({
        source: site_url+'/common/getpincode',
        minLength:1,
        select:function(evt, ui)
        {
            status = 1;
            // when a zipcode is selected, populate related fields in this form
            // this.form.pincodeid.value = ui.item.id;
            $.ajax({
                url: site_url+"/common/pincode_detail",
                cache: false,
                dataType: "json",
                type: "GET",
                data: "term=" + ui.item.value,
                success: function(result, success) {
                    console.log(result);
                    if (!$.trim(result)){
                        document.getElementById("locality").value="";
                        document.getElementById("city").value="";
                        document.getElementById("state").value="";
                        document.getElementById("pincode").value="";
                        document.getElementById("city_id").value="";
                        document.getElementById("state_id").value="";
                        alert("Please add pincode in pincode master...");
                        $(".treadonly").prop("readonly",true);
                        return false;
                    }
                    else{
                        $("#pincode").val(result.pincode);
                        $("#locality").val(result.area);
                        $("#city").val(result.city);
                        $("#state").val(result.state);
                        $("#state_id").val(result.state_id);
                        $("#city_id").val(result.city_id);
                        $(".treadonly").prop("readonly",false);
                        return true;
                    }
                }
            });
        }
    });
    if(status==0)
    {
        $("#pincode").keyup(function() {
        var el = $(this);

        if (el.val().length === 6) {
            $.ajax({
                url: site_url+"/common/pincode_detail",
                cache: false,
                dataType: "json",
                type: "GET",
                data: "term=" + el.val(),
                success: function(result, success) {
                    console.log(result);
                    if (!$.trim(result)){
                        document.getElementById("locality").value="";
                        document.getElementById("city").value="";
                        document.getElementById("state").value="";
                        document.getElementById("pincode").value="";
                        document.getElementById("city_id").value="";
                        document.getElementById("state_id").value="";
                        alert("Please add pincode in pincode master...");
                        $(".treadonly").prop("readonly",true);
                        return false;
                    }
                    else{
                        $("#pincode").val(result.pincode);
                        $("#locality").val(result.area);
                        $("#city").val(result.city);
                        $("#state").val(result.state);
                        $("#state_id").val(result.state_id);
                        $("#city_id").val(result.city_id);
                        $(".treadonly").prop("readonly",false);
                        return true;
                    }
                }
            });
        }
    });
    }

		var input = $('#pincode');
	  input.on('keydown', function() {
	    var key = event.keyCode || event.charCode;

	    if( key == 8 || key == 46 )
	    {
				document.getElementById("locality").value="";
				document.getElementById("city").value="";
				document.getElementById("state").value="";
				document.getElementById("pincode").value="";
				document.getElementById("city_id").value="";
				document.getElementById("state_id").value="";
				$(".treadonly").prop("readonly",true);
				return false;
			}
	  });
});
