<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
set_time_limit(600);
class Add_tenant extends CI_Controller {

  	function __construct()
	{
		parent::__construct();
        // ini_set('display_errors','1');
		if( !$this->session->userdata('logged_in'))
  			redirect('admin/login');
  		else
  			$this->loginid = $this->session->userdata['logged_in']['id'];
  		if($this->session->userdata['logged_in']['usertype']==2)
          {
            redirect('user/dashboard');
          }
		$this->template->set_layout('admin');
		$this->load->model('admin/Manage_app_user_model','user');
		$this->load->model('admin/Manage_designation_model','designation_model');
		$this->load->model('admin/Manage_industry_model','industry_model');
		$this->load->model('admin/Manage_sub_industry_model','sub_industry_model');
	}

	function index()
	{
        if(isset($_REQUEST['search']) && $_REQUEST['search']!="")
        {
            $this->data['search'] = $_REQUEST['search'];
            $this->session->set_userdata('search',$_REQUEST['search']);
            $tot_rows = $this->db->where('deleted',0)->like('mobile', $this->data['search'])->or_like('email', $this->data['search'])->get('app_user_master')->num_rows();
        }else if($this->session->userdata['search']!="" )
        {
            $this->data['search'] = $this->session->userdata['search'];
            $tot_rows = $this->db->where('deleted',0)->like('mobile', $this->data['search'])->or_like('email', $this->data['search'])->get('app_user_master')->num_rows();
        }
        else{
            $this->data['search'] = $this->session->set_userdata('search','');
            $this->session->unset_userdata('search');
            $tot_rows = $this->db->where('deleted',0)->get('app_user_master')->num_rows();
        }
        $config['per_page'] 	= 10;
        $this->data['per_page']		= $config['per_page'];
		$this->data['page_no']	= $this->uri->segment(4)!='' ? $this->uri->segment(4) : 0;
        $data = $this->user->get_user_list($this->data['page_no'],$config['per_page'],$this->data['search']);
		$config['base_url'] = site_url('/admin/manage_app_user/index/');
		$config['total_rows'] = $data['result_count'];
		$config['uri_segment'] 	= 4;
		$config['full_tag_open'] = '<ul class="pagination pagination-sm no-margin pull-right">';
		$config['full_tag_close'] = '</ul>';
		$config['first_link'] = false;
		$config['last_link'] = false;
		$config['first_tag_open'] = '<li>';
		$config['first_tag_close'] = '</li>';
		$config['prev_link'] = '&laquo';
		$config['prev_tag_open'] = '<li class="prev">';
		$config['prev_tag_close'] = '</li>';
		$config['next_link'] = '&raquo';
		$config['next_tag_open'] = '<li>';
		$config['next_tag_close'] = '</li>';
		$config['last_tag_open'] = '<li>';
		$config['last_tag_close'] = '</li>';
		$config['cur_tag_open'] = '<li class="active"><a href="#">';
		$config['cur_tag_close'] = '</a></li>';
		$config['num_tag_open'] = '<li>';
		$config['num_tag_close'] = '</li>';
		$this->pagination->initialize($config);
		$this->data['pagination']	= $this->pagination->create_links();
		$this->data['userlist'] = $data['result'];
		$this->template->build('admin/manage_app_user_view.php',$this->data);
	}

}
