<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Login extends CI_Controller {
    function __construct()	{
        parent::__construct();

        if($this->session->userdata('logged_in'))
        {
            if($this->session->userdata['logged_in']['usertype']==2)
            {
                redirect('user/dashboard');
            }
            else
            redirect('admin/dashboard','refresh');
        }

        $this->load->model('admin/checklogin','login');
    }

    public function index()	{

        // if($this->check_valid_domain()=='N')
        // {
        //     $this->load->view('404');
        // }else{
            $this->load->view('/admin/login');
        // }
    }
    public function forgot_pass()
    {
        $this->form_validation->set_rules('username','Username', 'required|callback_check_username');
        if($this->form_validation->run() == FALSE)
        {
            $this->load->view('/admin/forgot_password_view');
        }
        else
        {
            $username = $this->input->post('username');
            $output = $this->login->reset_pass($username);
            if($output==TRUE){
                $this->session->set_flashdata('sucmsg','Password Reset Successfully and send you on mail.');
            }else{
                $this->session->set_flashdata('errmsg','Something went wrong, please try again.');
            }
            redirect('admin/login');
        }
    }

    function error_page()
    {
        $this->load->view('404');
    }

    function check_valid_domain()
    {
        $nodes[0]['url'] = HIRENEXUS_API.'/checkSubDomain';
        $nodes[0]['post'] = "";
        $results = multi_thread_exec_headers($nodes);
// print_r($results[0]);exit;
        if(isset($results[0]))
        {
          $result = $results[0];
          return $result;
        }else{
            return 'N';
        }
    }
}
