<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
set_time_limit(600);
class Manage_tenant extends CI_Controller {

  	function __construct()
	{
		parent::__construct();
        ini_set('display_errors','1');
		// if( !$this->session->userdata('logged_in'))
  		// 	redirect('admin/login');
  		// else
  		// 	$this->loginid = $this->session->userdata['logged_in']['id'];
  		// if($this->session->userdata['logged_in']['usertype']==2)
        //   {
        //     redirect('user/dashboard');
        //   }
		$this->template->set_layout('admin');
		$this->load->model('admin/Manage_tenant_model','user');
        $this->load->model('admin/setting_model','setting');

        $this->data = array();
	}

	function index()
	{
        // if(isset($_REQUEST['search']) && $_REQUEST['search']!="")
        // {
        //     $this->data['search'] = $_REQUEST['search'];
        //     $this->session->set_userdata('search',$_REQUEST['search']);
        //     $tot_rows = $this->db->where('deleted',0)->like('mobile', $this->data['search'])->or_like('email', $this->data['search'])->get('app_user_master')->num_rows();
        // }else if($this->session->userdata['search']!="" )
        // {
        //     $this->data['search'] = $this->session->userdata['search'];
        //     $tot_rows = $this->db->where('deleted',0)->like('mobile', $this->data['search'])->or_like('email', $this->data['search'])->get('app_user_master')->num_rows();
        // }
        // else{
        //     $this->data['search'] = $this->session->set_userdata('search','');
        //     $this->session->unset_userdata('search');
            $tot_rows = $this->db->where('status','Y')->get('hn_client_master')->num_rows();
        // }
        $config['per_page'] 	= 10;
        $this->data['per_page']		= $config['per_page'];
		$this->data['page_no']	= $this->uri->segment(4)!='' ? $this->uri->segment(4) : 0;
		$config['base_url'] = site_url('/admin/manage_tenant/index/');
		$config['total_rows'] = $tot_rows;
		$config['uri_segment'] 	= 4;
		$config['full_tag_open'] = '<ul class="pagination pagination-sm no-margin pull-right">';
		$config['full_tag_close'] = '</ul>';
		$config['first_link'] = false;
		$config['last_link'] = false;
		$config['first_tag_open'] = '<li>';
		$config['first_tag_close'] = '</li>';
		$config['prev_link'] = '&laquo';
		$config['prev_tag_open'] = '<li class="prev">';
		$config['prev_tag_close'] = '</li>';
		$config['next_link'] = '&raquo';
		$config['next_tag_open'] = '<li>';
		$config['next_tag_close'] = '</li>';
		$config['last_tag_open'] = '<li>';
		$config['last_tag_close'] = '</li>';
		$config['cur_tag_open'] = '<li class="active"><a href="#">';
		$config['cur_tag_close'] = '</a></li>';
		$config['num_tag_open'] = '<li>';
		$config['num_tag_close'] = '</li>';
		$this->pagination->initialize($config);
		$this->data['pagination']	= $this->pagination->create_links();
		$this->data['userlist'] = $this->user->get_tenant_list($this->data['page_no'],$config['per_page']);
		$this->template->build('admin/manage_tenant_view',$this->data);
	}

    function add_tenant()
    {
        $this->data= array();
        $this->data['theme_list'] = $this->setting->get_theme_list();
        $this->template->build('/admin/tenant_add_view',$this->data);
    }

    function insert_tenant()
	{
		$email = $this->input->post('email');
		$this->form_validation->set_rules('client_name','Client Name','required');
		$this->form_validation->set_rules('sub_domain','Sub Domain','required|alpha|callback_check_domain');
		$this->form_validation->set_rules('email','Email Id','required|valid_email');
		$this->form_validation->set_rules('username','Admin Username','required');
		$this->form_validation->set_rules('password','Admin Password','required');
		$this->form_validation->set_rules('con_password','Confirm Password','required|matches[password]');

		if($this->form_validation->run() == FALSE)
		{
			$this->data = array();

			$this->template->build('/admin/tenant_add_view',$this->data);
		}
		else
		{
			$output = $this->user->insert_tenant();
            $this->session->set_flashdata('msg','New Tenant Created Successfully.');
			redirect('admin/manage_tenant');
		}
	}

    function check_domain()
    {
        $domain = strtolower($this->input->post('sub_domain'));
        $output = $this->user->check_domain($domain);
        if($output==FALSE)
        {
            $this->form_validation->set_message('check_domain', 'The {$domain} sub domain is not available');
            return FALSE;
        }else{
            return TRUE;
        }
    }

}
