<?php
Class Manage_app_placements_model extends CI_Model {

    function __construct()
    {
        parent::__construct();
    }

    function get_placement_list($page_no,$per_page,$search,$orderby)
    {
        $nodes[0]['url'] = HIRENEXUS_API.'/get_placement_list';
          $nodes[0]['post'] = "page_no=$page_no&per_page=$per_page&search=$search&orderby=$orderby";
          $results = multi_thread_exec_headers($nodes);
          if(isset($results[0]))
          {
            $result = $results[0];
            $result = json_decode($result,true);
            // $result = $result[0];
            return $result;
          }else{
              return false;
          }
    }

    function insert_placement()
    {
        $loginid = $this->loginid;
        $candidate_name = $this->input->post('candidate_name',TRUE);
        $placement_date = $this->input->post('placement_date',TRUE);
        $job_title = $this->input->post('job_title',TRUE);
        $start_date = $this->input->post('start_date',TRUE);
        $placement_type = $this->input->post('placement_type',TRUE);
        $placement_status = $this->input->post('placement_status',TRUE);
        $company_name = $this->input->post('company_name',TRUE);
        $industry = $this->input->post('industry',TRUE);
        $starting_salary = $this->input->post('starting_salary',TRUE);
        $placement_fee = $this->input->post('placement_fee',TRUE);
        $placed_by = $this->input->post('placed_by',TRUE);
        $position_id = $this->input->post('position_id',TRUE);
        $guarantee_date = $this->input->post('guarantee_date',TRUE);
        $position_date_posted = $this->input->post('position_date_posted',TRUE);
        $interview_date = $this->input->post('interview_date',TRUE);
        $arrange_date = $this->input->post('arrange_date',TRUE);
        $placement_credit = $this->input->post('placement_credit',TRUE);
        $diff = strtotime(date('Y-m-d', strtotime($guarantee_date))) - strtotime(date('Y-m-d', strtotime($start_date)));
        $guarantee = abs(round($diff / 86400));
        $diff = strtotime(date('Y-m-d', strtotime($placement_date))) - strtotime(date('Y-m-d', strtotime($position_date_posted)));
        $TimeToFill = abs(round($diff / 86400));
        $diff = strtotime(date('Y-m-d', strtotime($arrange_date))) - strtotime(date('Y-m-d', strtotime($position_date_posted)));
        $TimeToResmail = abs(round($diff / 86400));
        $diff = strtotime(date('Y-m-d', strtotime($interview_date))) - strtotime(date('Y-m-d', strtotime($position_date_posted)));
        $TimeToInterview = abs(round($diff / 86400));
        $nodes[0]['url'] = HIRENEXUS_API.'/insert_placement';
        $nodes[0]['post'] = " candidate_name=$candidate_name&placement_date=".date('Y-m-d', strtotime($placement_date))."&job_title=$job_title&start_date=".date('Y-m-d', strtotime($start_date))."&placement_type=$placement_type&placement_status=$placement_status&company_name=$company_name&industry=$industry&starting_salary=$starting_salary&placement_fee=$placement_fee&placed_by=$placed_by&position_id=$position_id&guarantee_date=".date('Y-m-d', strtotime($guarantee_date))."&position_date_posted=".date('Y-m-d', strtotime($position_date_posted))."&guarantee=$guarantee&interview_date=".date('Y-m-d', strtotime($interview_date))."&arrange_date=".date('Y-m-d', strtotime($arrange_date))."&placement_credit=$placement_credit&TimeToFill=$TimeToFill&TimeToResmail=$TimeToResmail&TimeToInterview=$TimeToInterview&LastModified=".date('Y-m-d h:m:s')."&user_id=$loginid";

        $results = multi_thread_exec_headers($nodes);
        if(isset($results[0]))
        {
        $result = $results[0];
        $result = json_decode($result);
        return TRUE;
        }else{
          return false;
        }
    }

    function update_placement($placement_id)
    {
        $this->load->library('upload');
        $loginid = $this->loginid;
        $candidate_name = $this->input->post('candidate_name',TRUE);
        $placement_date = $this->input->post('placement_date',TRUE);
        $job_title = $this->input->post('job_title',TRUE);
        $start_date = $this->input->post('start_date',TRUE);
        $placement_type = $this->input->post('placement_type',TRUE);
        $placement_status = $this->input->post('placement_status',TRUE);
        $company_name = $this->input->post('company_name',TRUE);
        $industry = $this->input->post('industry',TRUE);
        $starting_salary = $this->input->post('starting_salary',TRUE);
        $placement_fee = $this->input->post('placement_fee',TRUE);
        $placed_by = $this->input->post('placed_by',TRUE);
        $position_id = $this->input->post('position_id',TRUE);
        $guarantee_date = $this->input->post('guarantee_date',TRUE);
        $position_date_posted = $this->input->post('position_date_posted',TRUE);
        $interview_date = $this->input->post('interview_date',TRUE);
        $arrange_date = $this->input->post('arrange_date',TRUE);
        $placement_credit = $this->input->post('placement_credit',TRUE);
        $diff = strtotime(date('Y-m-d', strtotime($guarantee_date))) - strtotime(date('Y-m-d', strtotime($start_date)));
        $guarantee = abs(round($diff / 86400));
        $diff = strtotime(date('Y-m-d', strtotime($placement_date))) - strtotime(date('Y-m-d', strtotime($position_date_posted)));
        $TimeToFill = abs(round($diff / 86400));
        $diff = strtotime(date('Y-m-d', strtotime($arrange_date))) - strtotime(date('Y-m-d', strtotime($position_date_posted)));
        $TimeToResmail = abs(round($diff / 86400));
        $diff = strtotime(date('Y-m-d', strtotime($interview_date))) - strtotime(date('Y-m-d', strtotime($position_date_posted)));
        $TimeToInterview = abs(round($diff / 86400));
        $user_id = $this->input->post('user_id',TRUE);

        $randNo = date(His).rand(11,99);

            $data = array(
            'candidate_name'=>$candidate_name,
            'placement_date'=>date('Y-m-d', strtotime($placement_date)),
            'job_title'=>$job_title,
            'start_date'=>date('Y-m-d', strtotime($start_date)),
            'placement_type'=>$placement_type,
            'placement_status'=>$placement_status,
            'company_name'=>$company_name,
            'industry'=>$industry,
            'starting_salary'=>$starting_salary,
            'placement_fee'=>$placement_fee,
            'placed_by'=>$placed_by,
            'position_id'=>$position_id,
            'guarantee_date'=>date('Y-m-d', strtotime($guarantee_date)),
            'position_date_posted'=>date('Y-m-d', strtotime($position_date_posted)),
            'guarantee'=>$guarantee,
            'LastModified'=>date('Y-m-d h:m:s'),
            'interview_date'=>date('Y-m-d', strtotime($interview_date)),
            'arrange_date'=>date('Y-m-d', strtotime($arrange_date)),
            'placement_credit'=>$placement_credit,
            'TimeToFill'=>$TimeToFill,
            'TimeToResmail'=>$TimeToResmail,
            'TimeToInterview'=>$TimeToInterview,
            'user_id'=>$loginid
        );

         $nodes[0]['url'] = HIRENEXUS_API.'/update_placement';
        $nodes[0]['post'] = " candidate_name=$candidate_name&placement_date=".date('Y-m-d', strtotime($placement_date))."&job_title=$job_title&start_date=".date('Y-m-d', strtotime($start_date))."&placement_type=$placement_type&placement_status=$placement_status&company_name=$company_name&industry=$industry&starting_salary=$starting_salary&placement_fee=$placement_fee&placed_by=$placed_by&position_id=$position_id&guarantee_date=".date('Y-m-d', strtotime($guarantee_date))."&position_date_posted=".date('Y-m-d', strtotime($position_date_posted))."&guarantee=$guarantee&interview_date=".date('Y-m-d', strtotime($interview_date))."&arrange_date=".date('Y-m-d', strtotime($arrange_date))."&placement_credit=$placement_credit&TimeToFill=$TimeToFill&TimeToResmail=$TimeToResmail&TimeToInterview=$TimeToInterview&id=$placement_id&LastModified=".date('Y-m-d h:m:s')."&user_id=$loginid";
        $results = multi_thread_exec_headers($nodes); 
        if(isset($results[0]))
        {
        $result = $results[0];
        $result = json_decode($result);
        // $result = $result[0];
        return TRUE;
        }else{
          return false;
        }
    }

    function get_placement($placement_id)
    {
        // $sql = "select * from placements where active='0' and id='$placement_id'";
        // $query = $this->db->query($sql);
        // return $query->row_array();
         $nodes[0]['url'] = HIRENEXUS_API.'/get_placement';
        $nodes[0]['post'] = " id=$placement_id";
        $results = multi_thread_exec_headers($nodes);
        if(isset($results[0]))
        {
        $result = $results[0];
        $result = json_decode($result,true);
        // $result = $result[0];
        return $result[0];
        }else{
          return false;
        }
    }

    function get_user_list()
    {
        // $sql = "select id, Concat(first_name,' ',last_name) as user_name from app_user_master where is_deleted ='0'";
        // $query = $this->db->query($sql);
        // return $query->result_array();
        $nodes[0]['url'] = HIRENEXUS_API.'/get_user_list2';
        $nodes[0]['post'] = "";
        $results = multi_thread_exec_headers($nodes);
        if(isset($results[0]))
        {
        $result = $results[0];
        $result = json_decode($result,true);
        // $result = $result[0];
        return $result;
        }else{
          return false;
        }
    }


    function placement_delete($placement_id)
    {
        // $loginid = $this->loginid;
        // $data = array('active'=>'1');
        // $this->db->where('id',$placement_id);
        // $this->db->update('placements',$data);
        // if($this->db->affected_rows()>0)
        // {
        //     // $this->insert_record($user_id,'delete');
        //     return TRUE;
        // }
        // else
        //     return FALSE;
         $nodes[0]['url'] = HIRENEXUS_API.'/placement_delete';
        $nodes[0]['post'] = "id=$placement_id";
        $results = multi_thread_exec_headers($nodes);
        if(isset($results[0]))
        {
        $result = $results[0];
        $result = json_decode($result);
        // $result = $result[0];
        return TRUE;
        }else{
          return false;
        }
    }


    function insert_cash_in()
    {
        $loginid = $this->loginid;
        $cash_in_date = $this->input->post('cash_in_date',TRUE);
        $placement_id = $this->input->post('placement_id',TRUE);
        $cash_in_amount = $this->input->post('cash_in_amount',TRUE);

        // $insert_data = array(
        //     'placement_id'=>$placement_id,
        //     'cash_in_date'=>date('Y-m-d', strtotime($cash_in_date)),
        //     'cash_in_amount'=>$cash_in_amount,
        //     'user_id'=>$loginid
        // );
        // $query = $this->db->insert('placements_cash_in',$insert_data);
        // if($this->db->affected_rows()>0)
        // {
        //     return TRUE;
        // }
        // else
        //     return FALSE;
        $nodes[0]['url'] = HIRENEXUS_API.'/insert_cash_in';
        $nodes[0]['post'] = "loginid=$loginid&cash_in_date=$cash_in_date&placement_id=$placement_id&cash_in_amount=$cash_in_amount";
        $results = multi_thread_exec_headers($nodes);
        if(isset($results[0]))
        {
        $result = json_decode($result);
        // $result = $result[0];
        return TRUE;
        }else{
          return false;
        }
    }

    function get_cashin($placement_id)
    {
        // $sql = "select pcin.cash_in_date, pcin.cash_in_amount , um.name as cash_in_account_exe from placements_cash_in as pcin join user_master as um on um.g_id=pcin.user_id where pcin.active ='0' and pcin.placement_id='".$placement_id."'";
        // $query = $this->db->query($sql);
        // return $query->result_array();
        $nodes[0]['url'] = HIRENEXUS_API.'/get_cashin';
        $nodes[0]['post'] = "placement_id=$placement_id";
        $results = multi_thread_exec_headers($nodes);
        if(isset($results[0]))
        {
        $result = $results[0];
        $result = json_decode($result,true);
        // $result = $result[0];
        return $result;
        }else{
          return false;
        }
    }

    function insert_split($input)
    {
        $loginid = $this->loginid;
        $k=0;
        $l=sizeof($input['split_users']);
        for ($i=0; $i < sizeof($input['split_users']); $i++) {
            $amount=$input['split_users'][$i]['amount'];
            $placement_value=$input['split_users'][$i]['placement_value'];
            $select_user_id=$input['split_users'][$i]['user_id'];
            $split_type=$input['split_users'][$i]['split_type'];
            $split_user_type=$input['split_users'][$i]['split_user_type'];
            $total_percent=$input['split_users'][$i]['total_percent'];
            $user_id=$loginid;
            $placement_id=$input['placement_id'];
            $nodes[0]['url'] = HIRENEXUS_API.'/insert_split';
            $nodes[0]['post'] = "amount=$amount
                                &placement_value=$placement_value
                                &select_user_id=$select_user_id
                                &split_type=$split_type
                                &split_user_type=$split_user_type
                                &total_percent=$total_percent
                                &user_id=$user_id
                                &placement_id=$placement_id";

            $results = multi_thread_exec_headers($nodes);
            if(isset($results[0]))
            {
            $result = json_decode($result);
            // $result = $result[0];
            $k++;
            }
            // $query = $this->db->insert('placements_splits',$insert_data);
            // if($this->db->affected_rows()>0)
            // {
            //     $k++;
            // }
        }

       if($k==$l)
        {
            return TRUE;
        }
        else
            return FALSE;

    }
    function get_splits($placement_id)
    {
        // $sql = "select ps.placement_value, ps.amount as split_amount, ps.split_type, concat(um.first_name,' ',um.last_name) as user_name from placements_splits as ps join app_user_master as um on um.id=ps.select_user_id where ps.active ='0' and ps.placement_id='".$placement_id."'";
        // $query = $this->db->query($sql);
        // return $query->result_array();
        $nodes[0]['url'] = HIRENEXUS_API.'/get_splits';
        $nodes[0]['post'] = "placement_id=$placement_id";
        $results = multi_thread_exec_headers($nodes);
        if(isset($results[0]))
        {
        $result = $results[0];
        $result = json_decode($result,true);
        // $result = $result[0];
        return $result;
        }else{
          return false;
        }
    }

    function get_placement_edit_date()
    {
        // $sql = "select * from master_placement_edit";
        // $query = $this->db->query($sql);
        // return $query->row_array();
        $nodes[0]['url'] = HIRENEXUS_API.'/get_placement_edit_date';
        $nodes[0]['post'] = "";
        $results = multi_thread_exec_headers($nodes);
        if(isset($results[0]))
        {
        $result = $results[0];
        $result = json_decode($result,true);
        // $result = $result[0];
        return $result[0];
        }else{
          return false;
        }
    }

    // function insert_record($user_id,$status,$type=0)
    // {
    //     $insData = array('user_id'=>$user_id,'status'=>$status,'type'=>$type);
    //     $this->db->insert('record_change_detail',$insData);
    // }

}
