<?php
Class Manage_category_model extends CI_Model {

	function __construct()
	{
		parent::__construct();
	}

	function get_category_list($page_no,$per_page)
	{
		$sql = "select *,if(is_active='1','Active','Inactive') as status from category_master where is_deleted='0' order by id limit $page_no,$per_page";
		$query = $this->db->query($sql);
		return $query->result_array();
	}

	function get_category($category_id)
	{
		$sql = "select *,if(is_active='1','Active','Inactive') as status from category_master where is_deleted='0' and id='$category_id'";
		$query = $this->db->query($sql);
		return $query->row_array();
	}

	function category_delete($category_id)
	{
		$cur_date = date('Y-m-d H:i:s');
		$loginid = $this->loginid;
		$data = array('is_deleted'=>'1','is_active'=>'0','updated_date'=>$cur_date,'updated_by'=>$loginid);
		$this->db->where('id',$category_id);
		$this->db->update('category_master',$data);
		if($this->db->affected_rows()>0)
			return TRUE;
		else
			return FALSE;
	}

    function insert_category()
    {
        $loginid = $this->loginid;
		$name = $this->input->post('cat_name',TRUE);
		// $type = $this->input->post('cat_type',TRUE);


		$insert_data = array(
            'cat_name'=>$name,
            'cat_type'=>'', //$type,
            'created_by'=>$loginid,
        );

		$query = $this->db->insert('category_master',$insert_data);
		if($this->db->affected_rows()>0)
			return TRUE;
		else
			return FALSE;
    }

    function update_category($category_id)
    {
        $loginid = $this->loginid;
    	$cur_date = date('Y-m-d H:i:s');
        $name = $this->input->post('cat_name',TRUE);
		// $type = $this->input->post('cat_type',TRUE);


		$data = array(
            'cat_name'=>$name,
            'cat_type'=>'', //$type,
            'updated_by'=>$loginid,
            'updated_date'=>$cur_date
        );

		$this->db->where('id',$category_id);
		$query = $this->db->update('category_master',$data);
		if($this->db->affected_rows()>0)
			return TRUE;
		else
			return FALSE;
    }

}
