<?php
Class Manage_designation_model extends CI_Model {

    function __construct()
    {
        parent::__construct();
    }

    function get_designation_list($page_no,$per_page,$search)
    {
        $nodes[0]['url'] = HIRENEXUS_API.'/get_designation_list';
        $nodes[0]['post'] = "page_no=$page_no&per_page=$per_page&search=$search";
        $results = multi_thread_exec_headers($nodes);
        if(isset($results[0]))
        {
        $result = $results[0];
        $result = json_decode($result,true);
        return $result;
        }else{
          return false;
        }
    }

    function insert_designation()
    {
        $loginid = $this->loginid;
        $designation_name = $this->input->post('designation_name',TRUE);
        $nodes[0]['url'] = HIRENEXUS_API.'/designation';
          $nodes[0]['post'] = "designation_name=$designation_name&admin_id=$loginid";
          $results = multi_thread_exec_headers($nodes);
          if(isset($results[0]))
          {
            $result = $results[0];
            $result = json_decode($result);
            return TRUE;
          }else{
              return false;
          }
    }

    function update_designation($designation_id)
    {
        $loginid = $this->loginid;
        $designation_name = $this->input->post('designation_name',TRUE);
            $data = array(
            'designation_name'=>$designation_name,
            'LastModified'=>date('Y-m-d h:m:s'),
            'admin_id'=>$loginid
        );
          $nodes[0]['url'] = HIRENEXUS_API.'/update_designation';
          $nodes[0]['post'] = "designation_name=$designation_name&LastModified=$LastModified&admin_id=$loginid&designation_id=$designation_id";
          $results = multi_thread_exec_headers($nodes);
          if(isset($results[0]))
          {
            $result = $results[0];
            $result = json_decode($result);
            // $result = $result[0];
            return TRUE;
          }else{
              return false;
          }
    }

    function get_designation($designation_id)
    {
          $nodes[0]['url'] = HIRENEXUS_API.'/get_designation';
          $nodes[0]['post'] = "designation_id=$designation_id";
          $results = multi_thread_exec_headers($nodes);
          if(isset($results[0]))
          {
            $result = $results[0];
            $result = json_decode($result,true);
            return $result;
          }else{
              return false;
          }
    }

    function get_designation_list1()
    {
          $nodes[0]['url'] = HIRENEXUS_API.'/get_designation_list1';
          $nodes[0]['post'] = "";
          $results = multi_thread_exec_headers($nodes);
          if(isset($results[0]))
          {
            $result = $results[0];
            $result = json_decode($result,true);
            return $result;
          }else{
              return false;
          }
    }


    function designation_delete($designation_id)
    {
          $nodes[0]['url'] = HIRENEXUS_API.'/designation_delete';
          $nodes[0]['post'] = "designation_id=$designation_id";
          $results = multi_thread_exec_headers($nodes);
          if(isset($results[0]))
          {
            $result = $results[0];
            $result = json_decode($result);
            return TRUE;
          }else{
              return false;
          }
    }

    // function insert_record($user_id,$status,$type=0)
    // {
    //     $insData = array('user_id'=>$user_id,'status'=>$status,'type'=>$type);
    //     $this->db->insert('record_change_detail',$insData);
    // }

}
