<?php
Class Manage_industry_model extends CI_Model {

    function __construct()
    {
        parent::__construct();
    }

    function get_industry_list($page_no,$per_page,$search)
    {
        $nodes[0]['url'] = HIRENEXUS_API.'/get_industry_list';
        $nodes[0]['post'] = "page_no=$page_no&per_page=$per_page&search=$search";
        $results = multi_thread_exec_headers($nodes);
        if(isset($results[0]))
        {
        $result = $results[0];
        $result = json_decode($result,true);
        // $result = $result[0];
        return $result;
        }else{
          return false;
        }
    }

    function insert_industry()
    {
        $loginid = $this->loginid;
        $industry_name = $this->input->post('industry_name',TRUE);
        $insert_data = array(
            'industry_name'=>$industry_name,
            'admin_id'=>$loginid
        );
        $nodes[0]['url'] = HIRENEXUS_API.'/industry';
          $nodes[0]['post'] = "industry_name=$industry_name&admin_id=$loginid";
          $results = multi_thread_exec_headers($nodes);
          if(isset($results[0]))
          {
            $result = $results[0];
            $result = json_decode($result);
            // $result = $result[0];
            return TRUE;
          }else{
              return false;
          }
    }

    function update_industry($industry_id)
    {
        $loginid = $this->loginid;
        $industry_name = $this->input->post('industry_name',TRUE);
        $LastModified=date('Y-m-d h:m:s');

            $nodes[0]['url'] = HIRENEXUS_API.'/industry_update';
          $nodes[0]['post'] = "industry_name=$industry_name&LastModified=$LastModified&admin_id=$loginid&industry_id=$industry_id";

          $results = multi_thread_exec_headers($nodes); 
          if(isset($results[0]))
          {
            $result = $results[0];
            $result = json_decode($result);
            // $result = $result[0];
            return TRUE;
          }else{
              return false;
          }
    }

    function get_industry($industry_id)
    {
        $nodes[0]['url'] = HIRENEXUS_API.'/get_industry';
          $nodes[0]['post'] = "industry_id=$industry_id";
          $results = multi_thread_exec_headers($nodes);
          if(isset($results[0]))
          {
            $result = $results[0];
            $result = json_decode($result,true);
            // $result = $result[0];
            return $result[0];
            // return TRUE;
          }else{
              return false;
          }
    }

    function get_industry_list1()
    {
        $nodes[0]['url'] = HIRENEXUS_API.'/get_industry_list1';
          $nodes[0]['post'] = "";
          $results = multi_thread_exec_headers($nodes);
          if(isset($results[0]))
          {
            $result = $results[0];
            $result = json_decode($result,true);
            // $result = $result[0];
            return $result;
            // return TRUE;
          }else{
              return false;
          }
    }


    function industry_delete($industry_id)
    {
        $nodes[0]['url'] = HIRENEXUS_API.'/industry_delete';
          $nodes[0]['post'] = "industry_id=$industry_id";
          $results = multi_thread_exec_headers($nodes);
          if(isset($results[0]))
          {
            $result = $results[0];
            $result = json_decode($result);
            // $result = $result[0];
            // return $result;
            return TRUE;
          }else{
              return false;
          }
    }

    // function insert_record($user_id,$status,$type=0)
    // {
    //     $insData = array('user_id'=>$user_id,'status'=>$status,'type'=>$type);
    //     $this->db->insert('record_change_detail',$insData);
    // }

}
