<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Hire Nexus - Login</title>
    <link href="<?php echo base_url()?>assets/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo base_url()?>assets/css/datepicker3.css" rel="stylesheet">
    <link href="<?php echo base_url()?>assets/css/styles.css" rel="stylesheet">
    <link rel="shortcut icon" href="<?php echo base_url('assets/icons/favicon.png'); ?>" type="text/css" media="all" />
    <!--[if lt IE 9]>
	<script src="js/html5shiv.js"></script>
	<script src="js/respond.min.js"></script>
	<![endif]-->
	<script src="<?php echo base_url()?>assets/js/webfont.1.6.16.js"></script>
	<script>
		WebFont.load({
			google: {
				"families": ["Google Sans:400,500,600", "Roboto:400,500"]
			},
			active: function () {
				sessionStorage.fonts = true;
			}
		});
	</script>
</head>

<body>
    <!--<div class="row">-->
    <div class="login_par">
		<div class="login_2_col">
			<div class="logo_par">
				<div class="text-center">
					<img src="<?php echo base_url('assets/login123.png') ?>" alt="Appsurd" />
				</div>
			</div>
			<div class="login_par_sec">
				<h1 class="">Sign In</h1>
				<!-- ======== ERROR MESSAGE START ======== -->
				<?php if($this->session->flashdata("errmsg")!="" || validation_errors()!="") { ?>
					<div class="alert alert-danger alert-dismissible">
						<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
						<!-- <h4><i class="icon fa fa-ban"></i> Alert!</h4> -->
						<?php echo validation_errors(); echo $this->session->flashdata('errmsg'); ?>
					</div>
					<?php } ?>
						<?php if($this->session->flashdata("sucmsg")!="") { ?>
							<div class="alert alert-success alert-dismissible">
								<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
								<!-- <h4><i class="icon fa fa-ban"></i> Alert!</h4> -->
								<?php echo validation_errors(); echo $this->session->flashdata('sucmsg'); ?>
							</div>
							<?php } ?>
								<!-- ======== ERROR MESSAGE END ======== -->

							<div class="login-panel panel panel-default">
								<!--<div class="panel-heading">Log in</div>-->
								<div class="panel-body">
									
									<form action="<?php echo site_url('admin/verifylogin') ?>" method="post" role="form">
										<fieldset>
											<div class="form-group">
												<input class="form-control" placeholder="Username" name="username" type="text" autofocus="">
											</div>
											<div class="form-group">
												<input class="form-control" placeholder="Password" name="password" type="password" value="">
											</div>
											<!-- <div class="checkbox">
								<label>
									<input name="remember" type="checkbox" value="Remember Me">Remember Me
								</label>
							</div> -->
											<button type="submit" class="btn btn-primary login_btn1">Login</button>
										</fieldset>
										<!-- <a href="index.html" class="btn btn-primary">Login</a></fieldset> -->
									</form>
								</div>
							</div>
			</div>
		</div>
	</div>
    <!-- /.col-->
    <!--</div>-->

    <script src="<?php echo base_url()?>assets/js/jquery-1.11.1.min.js"></script>
    <script src="<?php echo base_url()?>assets/js/bootstrap.min.js"></script>
</body>

</html>